package com.javadude.rmigenerator;

import java.util.Collection;
import java.util.Collections;
import java.util.Set;

import com.sun.mirror.apt.AnnotationProcessor;
import com.sun.mirror.apt.AnnotationProcessorEnvironment;
import com.sun.mirror.apt.AnnotationProcessorFactory;
import com.sun.mirror.declaration.AnnotationTypeDeclaration;

public class GenerateRMIFactory implements AnnotationProcessorFactory {

	@Override
	public AnnotationProcessor getProcessorFor(
			Set<AnnotationTypeDeclaration> arg0,
			AnnotationProcessorEnvironment env) {
		return new GenerateRMIProcessor(env);
	}

	@Override
	public Collection<String> supportedAnnotationTypes() {
		return Collections.singletonList("aaaa.GenerateRMI");
	}

	@Override
	public Collection<String> supportedOptions() {
		return Collections.EMPTY_SET;
	}
}
